Name:          librdf
Version:       1.0.17
Release:       2mamba
Summary:       Redland RDF Libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://librdf.org/
Source:        http://download.librdf.org/source/redland-%{version}.tar.gz
Patch0:        %{name}-1.0.9-fix_undefined_symbol.patch
Patch1:        %{name}-1.0.10-no_undefined.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdb53-devel
BuildRequires: libiodbc-devel
BuildRequires: libltdl-devel
BuildRequires: libmysqlclient-devel
BuildRequires: libopenssl-devel
BuildRequires: libpostgresql-devel
BuildRequires: libraptor2-devel
BuildRequires: librasqal-devel
BuildRequires: libsqlite-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRequires: libcurl-devel
BuildRequires: libexpat-devel
BuildRequires: libxslt-devel
%ifnarch arm
BuildRequires: virtuoso-opensource
%endif
#Provides:      redland = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Redland is a set of free software libraries that provide support for the Resource Description Framework (RDF).

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Redland is a set of free software libraries that provide support for the Resource Description Framework (RDF).

This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%package mysql
Summary:       %{pkgname} component for MySQL
Group:         System/Libraries
Requires:      %{name} = %{version}-%{release}

%description mysql
%{pkgname} component for MySQL.

%package postgresql
Summary:       %{pkgname} component for PostgreSQL
Group:         System/Libraries
Requires:      %{name} = %{version}-%{release}

%description postgresql
%{pkgname} component for PostgreSQL.

%package sqlite
Summary:       %{pkgname} component for SQLite
Group:         System/Libraries
Requires:      %{name} = %{version}-%{release}

%description sqlite
%{pkgname} component for SQLite.

%prep
%setup -q -n redland-%{version}
#%patch0 -p2
#%patch1 -p1

%build
%configure \
   --enable-release \
   --with-rasqal=system \
   --with-raptor=system

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/rdfproc
%{_bindir}/redland-db-upgrade
%{_libdir}/librdf.so.*
%{_libdir}/redland/librdf_storage_mysql.a
%{_libdir}/redland/librdf_storage_mysql.la
%{_libdir}/redland/librdf_storage_mysql.so
%{_libdir}/redland/librdf_storage_postgresql.a
%{_libdir}/redland/librdf_storage_postgresql.la
%{_libdir}/redland/librdf_storage_postgresql.so
%{_libdir}/redland/librdf_storage_sqlite.a
%{_libdir}/redland/librdf_storage_sqlite.la
%{_libdir}/redland/librdf_storage_sqlite.so
%{_libdir}/redland/librdf_storage_virtuoso.a
%{_libdir}/redland/librdf_storage_virtuoso.la
%{_libdir}/redland/librdf_storage_virtuoso.so
%{_datadir}/redland/
%{_mandir}/man1/rdfproc.*
%{_mandir}/man1/redland-db-upgrade.*
%{_mandir}/man3/redland.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/redland-config
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/redland.pc
%{_mandir}/man1/redland-config.*
%doc ChangeLog FAQS.html NEWS NOTICE README TODO

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/redland/

%changelog
* Tue Jun 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.17-2mamba
- rebuilt with mariadb

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.0.17-1mamba
- automatic update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 1.0.16-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.0.15-1mamba
- automatic version update by autodist

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14-1mamba
- update to 1.0.14

* Sat Jul 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.12-1mamba
- update to 1.0.12

* Sat Jul 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-1mamba
- update to 1.0.13

* Wed Jul 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-3mamba
- rebuilt with --enable-release
- added no_undefined patch to fix missing dependency in librdf_storage_virtuoso.la and fix soprano build

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-2mamba
- rebuilt with new virtuoso-opensource

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic update by autodist

* Sun Aug 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-2mamba
- added patch to fix undefined symbol: librdf_storage_register_factory

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Wed Mar 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-4mamba
- automatic rebuild by autodist

* Mon Nov 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-2mamba
- rebuilt against libdb47
- use system libraptor and librascal

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 1.0.8-1mamba
- update to 1.0.8

* Fri Jan 11 2008 Aleph0 <aleph0@openmamba.org> 1.0.7-1mamba
- update to 1.0.7

* Thu Jul 05 2007 Aleph0 <aleph0@openmamba.org> 1.0.6-1mamba
- package created by autospec
